<template>
  <main class="head mb-6 ">
    <section>
      <header class="w-[1390px] p-5 m-0 m-auto flex items-center justify-between">
        <RouterLink to="/">
          <img class="cursor-pointer" src="../assets/homedecor-logo.svg" alt="">
        </RouterLink>

        <div class="flex flex-col gap-4">
          <div class="flex items-center gap-3 font-light cursor-pointer">
            <img src="../assets/icon/tel.svg" alt="">
            <p>+993 62 07 53 35</p>
          </div>
          <div class="flex gap-9">
            <div class="flex items-center gap-3 font-light cursor-pointer">
              <img src="../assets/icon/instagram.svg" alt="">
              <p>Новинки каждый день</p>
            </div>
            <RouterLink :to="{ name: 'basket' }" class="flex items-center gap-3 font-light cursor-pointer">
              <img src="../assets/icon/basket.svg" alt="">
              <p>Корзина</p>
            </RouterLink>
          </div>
        </div>
      </header>
    </section>
  </main>

  <div class="w-[1390px] m-0 m-auto relative">
    <nav class="overflow-hidden flex items-center justify-center relative  h-[40px]">
      <div class="swiper-container" ref="swiperContainer">
        <div class="swiper-wrapper flex items-center">
          <div class="swiper-slide" v-for="(catalog, index) in catalogs" :key="index">
            <RouterLink :to="{ name: catalog.catalogURL }" class="font-light text-[#28303f] text-base"
              style="width: 10%; margin-right: 10px;">{{ catalog.catalogTitle }}</RouterLink>
          </div>
        </div>
      </div>

      <div
        class="button-prev absolute left-0 top-1/2 transform -translate-y-1/2 h-[40px] w-[40px] flex items-center justify-center bg-white border border-black rounded-full cursor-pointer z-10"
        @click="scrollLeft">
        <img src="../assets/icon/right.svg" class="rotate-180" alt="" />
      </div>

      <div
        class="button-next absolute right-0 top-1/2 transform -translate-y-1/2 h-[40px] w-[40px] flex items-center justify-center bg-white border border-black rounded-full cursor-pointer z-10"
        @click="scrollRight">
        <img src="../assets/icon/right.svg" alt="" />
      </div>
    </nav>
  </div>
</template>

<script>
import axios from "axios";
import { RouterLink } from "vue-router";

import Swiper from "swiper";

export default {
  data() {
    return {
      catalogs: [],
      swiper: null,
    };
  },
  mounted() {
    this.fetchData();
  },
  methods: {
    async fetchData() {
      try {
        const response = await axios.get("https://client.st.com.tm/api/catalogs");
        console.log(response.data);
        this.catalogs = response.data;
        this.initSwiper();
      } catch (error) {
        console.error("Error fetching data:", error);
      }
    },
    initSwiper() {
      this.swiper = new Swiper(".swiper-container", {
        slidesPerView: "auto",
        // spaceBetween: 10,
      });
    },
    scrollLeft() {
      if (this.swiper) {
        this.swiper.slidePrev();
      }
    },
    scrollRight() {
      if (this.swiper) {
        this.swiper.slideNext();
      }
    },
  },
};
</script>

<style scoped>
.head {
  background-image: url("../assets/heder.jpg");
  background-size: cover;
  height: 650px;
  background-position: center;
}

.swiper-wrapper {
  width: 100%;
  height: auto;
}

.swiper-slide {
  text-align: center;
}

.button-prev,
.button-next {
  background-color: rgba(255, 255, 255);
  cursor: pointer;
  z-index: 1000;
}

.button-prev {
  border: 1px solid black;
}

.button-next {
  border: 1px solid black;
}
</style>